Skip to content
Twexapi
English
Esc
↑↓navigate↵open⌘Jpreview

Get Tweet Thread by ID

Retrieve all tweets in a thread by tweet ID, sorted by latest.

Back to API Reference
/Tweets Endpoints
POST/twitter/tweets/thread_by_id
Authorization
AuthorizationBearer token · headerrequired
Global API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Request Body
requiredapplication/json
tweet_idstringrequired
The root tweet ID to fetch the thread for
default: "1621544497388875777"
max_itemsinteger
Max number of thread tweets to return
min 1 · max 200 · default: 40
fieldsstring[] | null
Optional JSON array of field names. Leave this input blank to omit fields and return all fields. To select fields, enter ["tweet_id","text"] (without wrapping the array in quotes).
default: null
Responses
200A list of tweets in the thread, sorted by latest.
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
⚡Interactive ConsolePOST
⚡Interactive Console / Try APIPOST
Live Console
🌐Target Server:https://api.twexapi.io
● Production Ready
🔍
Public Data Read (TwexAPI Key Only, No Twitter Cookie Required)

This endpoint queries public Twitter data — no Twitter account or Cookie required! Simply enter your TwexAPI Platform Key (Bearer Token) in the "API Authorization" section below to test.

🔑API Authorization
📝Request Bodyapplication/json
📡
No Response Yet

Configure parameters in the Request tab and click Send Request below.

Request
curl -X POST "https://api.twexapi.io/twitter/tweets/thread_by_id" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "tweet_id": "1621544497388875777",
  "max_items": 40
}'
Response
A list of tweets in the thread, sorted by latest.